Retrieves all previous versions of a post
curl --request GET \
--url https://api.hubapi.com/cms/blogs/2026-03/posts/{objectId}/revisions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/cms/blogs/2026-03/posts/{objectId}/revisions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/cms/blogs/2026-03/posts/{objectId}/revisions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "<string>",
"object": {
"abTestId": "<string>",
"archivedAt": 123,
"archivedInDashboard": true,
"attachedStylesheets": [
{}
],
"authorName": "<string>",
"blogAuthorId": "<string>",
"campaign": "<string>",
"categoryId": 123,
"contentGroupId": "<string>",
"created": "2023-11-07T05:31:56Z",
"createdById": "<string>",
"currentlyPublished": true,
"domain": "<string>",
"dynamicPageDataSourceId": "<string>",
"dynamicPageDataSourceType": 123,
"dynamicPageHubDbTableId": "<string>",
"enableDomainStylesheets": true,
"enableGoogleAmpOutputOverride": true,
"enableLayoutStylesheets": true,
"featuredImage": "<string>",
"featuredImageAltText": "<string>",
"folderId": "<string>",
"footerHtml": "<string>",
"headHtml": "<string>",
"htmlTitle": "<string>",
"id": "<string>",
"includeDefaultCustomCss": true,
"layoutSections": {},
"linkRelCanonicalUrl": "<string>",
"mabExperimentId": "<string>",
"metaDescription": "<string>",
"name": "<string>",
"pageExpiryDate": 123,
"pageExpiryEnabled": true,
"pageExpiryRedirectId": 123,
"pageExpiryRedirectUrl": "<string>",
"password": "<string>",
"postBody": "<string>",
"postSummary": "<string>",
"publicAccessRules": [
{}
],
"publicAccessRulesEnabled": true,
"publishDate": "2023-11-07T05:31:56Z",
"publishImmediately": true,
"rssBody": "<string>",
"rssSummary": "<string>",
"slug": "<string>",
"state": "<string>",
"tagIds": [
123
],
"themeSettingsValues": {},
"translatedFromId": "<string>",
"translations": {},
"updated": "2023-11-07T05:31:56Z",
"updatedById": "<string>",
"url": "<string>",
"useFeaturedImage": true,
"widgetContainers": {},
"widgets": {}
},
"updatedAt": "2023-11-07T05:31:56Z",
"user": {
"email": "<string>",
"fullName": "<string>",
"id": "<string>"
}
}
],
"total": 123,
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
},
"prev": {
"before": "<string>",
"link": "<string>"
}
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Revisions
Retrieves all previous versions of a post
Retrieve all the previous versions of a blog post.
GET
/
cms
/
blogs
/
2026-03
/
posts
/
{objectId}
/
revisions
Retrieves all previous versions of a post
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The ID of the blog post to retrieve previous versions of.
Query Parameters
The paging cursor token of the last successfully read resource will be returned as the paging.next.after JSON property of a paged response containing more results.
A paging cursor token for retrieving previous pages.
The maximum number of results to return. Default is 100.
Last modified on March 31, 2026
Was this page helpful?
⌘I